=== debian/changelog ===
ros-indigo-ueye (0.0.10-0trusty) trusty; urgency=high

  * Updated dependencies
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <kmhallen@oakland.edu>  Tue, 12 Jul 2016 04:00:00 -0000

ros-indigo-ueye (0.0.9-0trusty) trusty; urgency=high

  * Allow zoom up to 16x
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <kmhallen@oakland.edu>  Mon, 11 Apr 2016 04:00:00 -0000

ros-indigo-ueye (0.0.8-0trusty) trusty; urgency=high

  * Forgot to remove cv_bridge in package.xml
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <kmhallen@oakland.edu>  Fri, 04 Dec 2015 05:00:00 -0000

ros-indigo-ueye (0.0.7-0trusty) trusty; urgency=high

  * Fixed frame_id not set properly in stereo node
  * Lock stereo threads with a mutex
  * Inline functions for Camera class getters
  * Removed OpenCV dependency
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <kmhallen@oakland.edu>  Fri, 04 Dec 2015 05:00:00 -0000

ros-indigo-ueye (0.0.6-0trusty) trusty; urgency=high

  * SDK downloads point to download.ros.org to support the legacy build-farm
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <kmhallen@oakland.edu>  Wed, 11 Feb 2015 05:00:00 -0000

ros-indigo-ueye (0.0.5-0trusty) trusty; urgency=high

  * Updated amd64, i386, and armhf for uEye SDK 4.60
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <kmhallen@oakland.edu>  Mon, 09 Feb 2015 05:00:00 -0000

ros-indigo-ueye (0.0.4-0trusty) trusty; urgency=high

  * Allow discrete-only pixelclocks cameras
  * Contributors: Kevin Hallenbeck, Fran Real

 -- Kevin Hallenbeck <kmhallen@oakand.edu>  Wed, 28 Jan 2015 05:00:00 -0000

ros-indigo-ueye (0.0.3-0trusty) trusty; urgency=high

  * Added pre-compiled uEye SDK for arm architecture
  * Fixed macro conversion of version numbers to text. Fixes #8
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <kmhallen@oakand.edu>  Sun, 21 Sep 2014 04:00:00 -0000

ros-indigo-ueye (0.0.2-0trusty) trusty; urgency=high

  * Updated download locations of pre-compiled uEye SDK
  * add camera_id argument to change camera
  * Contributors: Kevin Hallenbeck, Yutaka Kondo <mailto:yutaka.kondo@youtalk.jp>

 -- Kevin Hallenbeck <kmhallen@oakand.edu>  Thu, 18 Sep 2014 04:00:00 -0000

ros-indigo-ueye (0.0.1-0trusty) trusty; urgency=high

  * Initial release into build system.

 -- Kevin Hallenbeck <kmhallen@oakand.edu>  Sun, 14 Sep 2014 04:00:00 -0000
