=== debian/control ===
Source: ros-indigo-ueye
Section: misc
Priority: extra
Maintainer: Kevin Hallenbeck <kmhallen@oakland.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-camera-calibration-parsers, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-roslib, ros-indigo-rostest
Homepage: http://wiki.ros.org/ueye
Standards-Version: 3.9.2

Package: ros-indigo-ueye
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-camera-calibration-parsers, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-roslib
Description: Driver for IDS Imaging uEye cameras.
